;
; Zip Extraction Test - Requires PBZip library
;

OpenConsole()

Procedure ZipCallBack(p.l)
  Print("*")
  ProcedureReturn 0
EndProcedure

ZipOpen("test.zip",#Zip_DefaultOptions)
ZipSetProgressCallback(@ZipCallBack())


x.l=ZipGetFileCount() 

If x>0
  For f=1 To x
    Print(ZipSelectFile(f)+" ... ")
    t.l=ZipExtractFile("temp\",0)
    If t.l
      PrintN(" Failed "+Str(t))
    Else
      PrintN(" OK")
    EndIf
  Next
  ZipClose()
Else
  PrintN("Bad Zip")
EndIf

PrintN("End.")
Print("Press enter to continue. ") : Input()
CloseConsole()
End
; ExecutableFormat=
; EOF