;
; Zip File Listing Test - Requires PBZip library
;

OpenConsole()

ZipOpen("test.zip",#Zip_DefaultOptions)
x=ZipGetFileCount()
zi.ZipEntryInfo

For f=1 To x
  PrintN("")
  PrintN("File Name:       "+ZipSelectFile(f)+" ")
  ZipGetFileInfo(zi)
  dt=Date(zi\fyear,zi\fmonth,zi\fday,zi\fhour,zi\fmin,zi\fsec)
  PrintN("File Size:       "+Str(zi\FileSize))
  PrintN("Compressed Size: "+Str(zi\CompressedSize))
  PrintN("CRC32:           "+Hex(zi\crc32))
  PrintN("File Attributes: "+Hex(zi\FileAttributes)+" ")
  PrintN("File Date:       "+FormatDate("%dd/%mm/%yy %hh:%ii",dt))
Next

PrintN("End.")
Input()
CloseConsole()
End
; ExecutableFormat=Windows
; EOF